View Issue Details

IDProjectCategoryView StatusLast Update
0002783unrealinstallingpublic2006-04-23 19:48
ReportersdamonAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindows XP Pro, SP2OS Version2600
Product Version3.2.3 
Target VersionFixed in Version3.2.5 
Summary0002783: Fails to compile on Visual Studio 2005
DescriptionThis occures on 3.2.3 and 3.2.4-rc2, with and without zlib,curl,or ssl (in any combination).

compile exits with error:

      link kernel32.lib user32.lib gdi32.lib shell32.lib ws2_32.lib advapi32.l
ib dbghelp.lib oldnames.lib comctl32.lib comdlg32.lib /def:wircd.def /im
plib:wircd.lib /nologo /debug /debugtype:BOTH /out:WIRCD.EXE SRC/CHANNEL.OBJ SR
C/SEND.OBJ SRC/SOCKET.OBJ SRC/S_CONF.OBJ SRC/FDLIST.OBJ SRC/DBUF.OBJ SRC/CLOA
K.OBJ SRC/HASH.OBJ SRC/PARSE.OBJ SRC/IRCD.OBJ SRC/S_NUMERIC.OBJ SRC/WHOWAS.OBJ
 SRC/S_AUTH.OBJ SRC/HELP.OBJ SRC/S_MISC.OBJ SRC/MATCH.OBJ SRC/CRULE.OBJ SRC/S_
DEBUG.OBJ SRC/SUPPORT.OBJ SRC/LIST.OBJ SRC/S_ERR.OBJ SRC/PACKET.OBJ SRC/S_BSD.
OBJ SRC/S_SERV.OBJ SRC/S_USER.OBJ SRC/CHARSYS.OBJ SRC/VERSION.OBJ SRC/RES_INIT
.OBJ SRC/RES_COMP.OBJ SRC/RES_MKQUERY.OBJ SRC/RES_SKIPNAME.OBJ SRC/S_KLINE.OBJ
SRC/S_EXTRA.OBJ SRC/IRCSPRINTF.OBJ SRC/LUSERS.OBJ SRC/SCACHE.OBJ SRC/ALN.OBJ SR
C/BADWORDS.OBJ SRC/WEBTV.OBJ SRC/RES.OBJ SRC/MODULES.OBJ SRC/S_SVS.OBJ SRC/EVEN
TS.OBJ SRC/UMODES.OBJ SRC/AUTH.OBJ SRC/CIDR.OBJ SRC/SSL.OBJ SRC/RANDOM.OBJ SRC/
EXTCMODES.OBJ SRC/MD5.OBJ SRC/API-ISUPPORT.OBJ SRC/API-COMMAND.OBJ SRC/EXTBANS.
OBJ SRC/GUI.OBJ SRC/SERVICE.OBJ SRC/DEBUG.OBJ SRC/RTF.OBJ SRC/EDITOR.OBJ SRC/
WIN32.OBJ SRC/win32/WIN32.RES SRC/WIN32/TRE.LIB /MAPINFO:LINES /MAP
LINK : fatal error LNK1117: syntax error in option 'debugtype:BOTH'
NMAKE : fatal error U1077: '"C:\Program Files\Microsoft Visual Studio 8\VC\BIN\l
ink.EXE"' : return code '0x45d'
Stop.

C:\IRC\Unreal3.2>
Steps To Reproducenmake -f makefile.win32
TagsNo tags attached.
3rd party modules

Activities

codemastr

2006-01-30 17:48

reporter   ~0011103

Apparently a command line option has changed in 2005. Unfortunately, I (and I assume the other team members) do not yet have a copy of VS 2005. So until someone decides to buy me a copy, you're unfortunately on your own with this one. I'd suggest looking at the help for the link command to see what values are supported for /debugtype.

sdamon

2006-01-30 18:35

reporter   ~0011105

If it helps...these are the linker options...i tried disableing debug...and it still failed..

-----

Microsoft (R) Incremental Linker Version 8.00.50727.42
Copyright (C) Microsoft Corporation. All rights reserved.

 usage: LINK [options] [files] [@commandfile]

   options:

      /ALIGN:#
      /ALLOWBIND[:NO]
      /ALLOWISOLATION[:NO]
      /ASSEMBLYDEBUG[:DISABLE]
      /ASSEMBLYLINKRESOURCE:filename
      /ASSEMBLYMODULE:filename
      /ASSEMBLYRESOURCE:filename[,[name][,PRIVATE]]
      /BASE:{address[,size]|@filename,key}
      /CLRIMAGETYPE:{IJW|PURE|SAFE}
      /CLRSUPPORTLASTERROR[:{NO|SYSTEMDLL}]
      /CLRTHREADATTRIBUTE:{STA|MTA|NONE}
      /CLRUNMANAGEDCODECHECK[:NO]
      /DEBUG
      /DEF:filename
      /DEFAULTLIB:library
      /DELAY:{NOBIND|UNLOAD}
      /DELAYLOAD:dll
      /DELAYSIGN[:NO]
      /DLL
      /DRIVER[:{UPONLY|WDM}]
      /ENTRY:symbol
      /ERRORREPORT:{NONE|PROMPT|QUEUE|SEND}
      /EXPORT:symbol
      /FIXED[:NO]
      /FORCE[:{MULTIPLE|UNRESOLVED}]
      /FUNCTIONPADMIN[:size]
      /HEAP:reserve[,commit]
      /IDLOUT:filename
      /IGNOREIDL
      /IMPLIB:filename
      /INCLUDE:symbol
      /INCREMENTAL[:NO]
      /KEYCONTAINER:name
      /KEYFILE:filename
      /LARGEADDRESSAWARE[:NO]
      /LIBPATH:dir
      /LTCG[:{NOSTATUS|PGINSTRUMENT|PGOPTIMIZE|PGUPDATE|STATUS}]
      /MACHINE:{ARM|EBC|IA64|MIPS|MIPS16|MIPSFPU|MIPSFPU16|
                SH4|THUMB|X64|X86}
      /MANIFEST[:NO]
      /MANIFESTDEPENDENCY:manifest dependency
      /MANIFESTFILE:filename
      /MAP[:filename]
      /MAPINFO:{EXPORTS}
      /MERGE:from=to
      /MIDL:@commandfile
      /NOASSEMBLY
      /NODEFAULTLIB[:library]
      /NOENTRY
      /NOLOGO
      /NXCOMPAT[:NO]
      /OPT:{ICF[=iterations]|NOICF|NOREF|NOWIN98|REF|WIN98}
      /ORDER:@filename
      /OUT:filename
      /PDB:filename
      /PDBSTRIPPED:filename
      /PGD:filename
      /PROFILE
      /RELEASE
      /SAFESEH[:NO]
      /SECTION:name,[[!]{DEKPRSW}][,ALIGN=#]
      /STACK:reserve[,commit]
      /STUB:filename
      /SUBSYSTEM:{CONSOLE|EFI_APPLICATION|EFI_BOOT_SERVICE_DRIVER|
                  EFI_ROM|EFI_RUNTIME_DRIVER|NATIVE|POSIX|WINDOWS|
                  WINDOWSCE}[,#[.##]]
      /SWAPRUN:{CD|NET}
      /TLBID:#
      /TLBOUT:filename
      /TSAWARE[:NO]
      /VERBOSE[:{ICF|LIB|REF|SAFESEH}]
      /VERSION:#[.#]
      /WINDOWSCE:{CONVERT|EMULATION}
      /WX[:NO]

syzop

2006-02-01 15:45

administrator   ~0011112

When I googled a bit, it said /DEBUGTYPE:BOTH created 2 type of files (forgot which, don't ask ;p), with MSVC++ <whateverversion> it no longer supports that, so it only generates one of them and hence the /DEBUGTYPE:BOTH is removed too.

sdaemon: Simply remove the '/DEBUGTYPE:BOTH' thing from makefile.win32 I guess? ;p

sdamon

2006-02-01 22:29

reporter   ~0011113

tried...failed spectacularly. Ill do it again tonight to reproduce the resualts... if it still fails that is...

sdamon

2006-02-01 22:50

reporter   ~0011114

link kernel32.lib user32.lib gdi32.lib shell32.lib ws2_32.lib advapi32.l
ib dbghelp.lib oldnames.lib comctl32.lib comdlg32.lib /def:wircd.def /im
plib:wircd.lib /nologo /debug /out:WIRCD.EXE SRC/CHANNEL.OBJ SRC/SEND.OBJ SRC/S
OCKET.OBJ SRC/S_CONF.OBJ SRC/FDLIST.OBJ SRC/DBUF.OBJ SRC/CLOAK.OBJ SRC/HASH.O
BJ SRC/PARSE.OBJ SRC/IRCD.OBJ SRC/S_NUMERIC.OBJ SRC/WHOWAS.OBJ SRC/S_AUTH.OBJ
 SRC/HELP.OBJ SRC/S_MISC.OBJ SRC/MATCH.OBJ SRC/CRULE.OBJ SRC/S_DEBUG.OBJ SRC/S
UPPORT.OBJ SRC/LIST.OBJ SRC/S_ERR.OBJ SRC/PACKET.OBJ SRC/S_BSD.OBJ SRC/S_SERV.
OBJ SRC/S_USER.OBJ SRC/CHARSYS.OBJ SRC/VERSION.OBJ SRC/S_KLINE.OBJ SRC/S_EXTRA.
OBJ SRC/IRCSPRINTF.OBJ SRC/LUSERS.OBJ SRC/SCACHE.OBJ SRC/ALN.OBJ SRC/BADWORDS.O
BJ SRC/WEBTV.OBJ SRC/RES.OBJ SRC/MODULES.OBJ SRC/S_SVS.OBJ SRC/EVENTS.OBJ SRC/U
MODES.OBJ SRC/AUTH.OBJ SRC/CIDR.OBJ SRC/SSL.OBJ SRC/RANDOM.OBJ SRC/EXTCMODES.OB
J SRC/MD5.OBJ SRC/API-ISUPPORT.OBJ SRC/API-COMMAND.OBJ SRC/EXTBANS.OBJ SRC/GU
I.OBJ SRC/SERVICE.OBJ SRC/DEBUG.OBJ SRC/RTF.OBJ SRC/EDITOR.OBJ SRC/WIN32.OBJ SR
C/win32/WIN32.RES SRC/WIN32/TRE.LIB SRC/WIN32/ARESLIB.LIB /MAPINFO:LINES /MAP
LINK : warning LNK4224: /MAPINFO:LINES is no longer supported; ignored
wircd.def : error LNK2001: unresolved external symbol add_remote_include
wircd.def : error LNK2001: unresolved external symbol find_loaded_remote_include

wircd.def : error LNK2001: unresolved external symbol find_remote_include
wircd.def : error LNK2001: unresolved external symbol remote_include
wircd.lib : fatal error LNK1120: 4 unresolved externals
NMAKE : fatal error U1077: '"C:\Program Files\Microsoft Visual Studio 8\VC\BIN\l
ink.EXE"' : return code '0x460'
Stop.

syzop

2006-02-02 07:24

administrator   ~0011116

http://www.vulnscan.org/UnrealIRCd/faq/#76 that should help (yes, also applies in some other cases other than CVS I guess)

White_Magic

2006-02-02 11:03

reporter   ~0011117

um syzop, im getting a 404 on that link O_o

syzop

2006-02-02 11:53

administrator   ~0011119

maybe you tried to click the link in the email? Yeah broken mantis fun
But the url here on the bugtracker itself works.. well, for me, that is.

syzop

2006-04-23 19:48

administrator   ~0011601

Fixed a couple of days ago (duplicate)

Issue History

Date Modified Username Field Change
2006-01-30 16:30 sdamon New Issue
2006-01-30 17:48 codemastr Note Added: 0011103
2006-01-30 18:35 sdamon Note Added: 0011105
2006-02-01 15:45 syzop Note Added: 0011112
2006-02-01 22:29 sdamon Note Added: 0011113
2006-02-01 22:50 sdamon Note Added: 0011114
2006-02-02 07:24 syzop Note Added: 0011116
2006-02-02 11:03 White_Magic Note Added: 0011117
2006-02-02 11:53 syzop Note Added: 0011119
2006-04-23 19:48 syzop Status new => closed
2006-04-23 19:48 syzop Note Added: 0011601
2006-04-23 19:48 syzop Resolution open => fixed
2006-04-23 19:48 syzop Fixed in Version => 3.2.5